.calendar_nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 10px;
  padding: 0 20px !important;
}

.calendar_nav .uk-button {
  padding: 0 10px;
  fill: #999;
}

.calendar_nav .uk-button:first-child {
  border-radius: 6px 0 0 6px;
}

.calendar_nav .uk-button:last-child {
  border-radius: 0 6px 6px 0;
}

.calendar_nav .uk-button.select {
  background-color: #f8f8f8;
  fill: #666;
}

.calendar_switch_panel {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  gap: 10px;
  min-width: 250px;
  border-radius: 20px;
  background: #F8F8F8;
}

.customers_calendar .uk-accordion-title {
  position: relative;
  background: #fbfbfb;
  color: #565656;
  padding: 8px 15px;
  cursor: pointer;
  border-bottom: 1px solid #dedede;
}

.customers_calendar .uk-accordion-title.active {
  color: #1E87F0;
}

.customers_calendar .uk-accordion-title.active::before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: -10px;
  width: 5px;
  height: 100%;
  background: #1E87F0;
}

.customers_calendar .uk-accordion-content {
  margin-top: unset;
}

.customers_calendar.uk-accordion>:nth-child(n+2) {
  margin-top: 0px;
}

.customers_calendar .calendar_item::before {
  content: "";
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 5px;
  height: 100%;
  background: #e5e5e5;
}

.customers_calendar .calendar_item:hover {
  background: rgba(30, 135, 240, 0.05);
}

.customers_calendar .calendar_item:hover::before {
  background: #1E87F0;
}

.customers_calendar .calendar_item.divider:nth-child(n+2) {
  border-top: 1px solid #e5e5e5;
}

.customers_calendar .calendar_item .task_actions {
  opacity: 0;
  transition: .3s;
}

.customers_calendar .calendar_item:hover .task_actions {
  opacity: 1;
}

.customers_calendar.calendar_week .count_tasks {
  display: inline-flex;
  background: #e8e8e8;
  color: #737373;
  justify-content: center;
  align-items: center;
  border-radius: 3px;
  padding: 2px 10px;
}

.calendar_widget_month {
  width: 100%;
}

.calendar_widget_month ul {
  list-style-type: none;
  width: 100%;
}

.calendar_widget_month_weekdays {
  margin: 0;
  padding: 0;
  background-color: #FBFBFB;
}

.calendar_widget_month_weekdays li {
  display: inline-flex;
  width: 14.2%;
  min-height: 50px;
  align-items: center;
  justify-content: center;
  font-size: 1.2rem;
  user-select: none;
}

.calendar_widget_month_days {
  padding-left: 7px;
  background: #FBFBFB;
  margin: 0;
  height: 100%;
}

.calendar_widget_month_days li {
  list-style-type: none;
  display: inline-flex;
  position: relative;
  width: 14.2%;
  font-size: 1.2rem;
  color: #222;
  min-height: 100px;
  border: 1px solid transparent;
  border-top: 1px solid #c4c4c4;
  justify-content: center;
  align-items: center;
  user-select: none;
  cursor: pointer;
  transition: .3s;
}

.calendar_widget_month_days li.active {
  color: #1E87F0;
  font-weight: bold;
}

.calendar_widget_month_days li.select,
.calendar_widget_month_days li:hover {
  border: 1px solid #1E87F0;
  background: rgba(30, 135, 240, 0.02);
}

.calendar_widget_month_days .count_tasks {
  position: absolute;
  left: 5px;
  top: 5px;
  display: inline-flex;
  background: #e8e8e8;
  color: #737373;
  justify-content: center;
  align-items: center;
  border-radius: 3px;
  padding: 2px 10px;
  font-size: 14px;
}

.calendar_task_items {
  display: flex;
  gap: 10px;
  overflow-x: hidden !important;
  padding: 5px !important;
}

.calendar_task_items .uk-comment {
  width: 100%;
  position: relative;
  border: 1px solid var(--gray);
  background: #FFFEB3;
  z-index: 1;
}

.calendar_task_items .uk-comment.bad {
  background: rgba(255, 198, 193, 0.5);
}

.calendar_task_items .uk-comment.success {
  background: #cfffce;
}

.calendar_task_items .uk-comment::after {
  content: "";
  position: absolute;
  display: block;
  width: 20px;
  height: 20px;
  right: 0;
  bottom: 0;
  border-left: 1px solid var(--gray);
  border-top: 1px solid var(--gray);
  background: #f6f5a0;
  transform: translate(0px, 1px);
  z-index: 2;
}

.calendar_task_items .uk-comment::before {
  content: "";
  position: absolute;
  display: block;
  width: 20px;
  height: 20px;
  right: 0;
  bottom: 0;
  background: var(--panel-bg);
  border-left: 1px solid var(--gray);
  transform: skewX(-50deg) translate(12px, 1px);
  z-index: 3;
}

.calendar_task_items .uk-comment.bad::after {
  background: rgba(255, 198, 193, 0.5);
}

.calendar_task_items .uk-comment.success::after {
  background: #bef6bd;
}

.customers_calendar .calendar_item.success::before {
  background: #bef6bd;
}

.customers_calendar .calendar_item.bad::before {
  background: rgba(255, 198, 193, 0.5);
}

.customers_calendar .calendar_item.success span:nth-child(1) {
  color: #20bb1d;
}

.customers_calendar .calendar_item.bad span:nth-child(1) {
  color: #df6e64;
}

.customers_calendar .calendar_item.success .uk-checkbox:disabled {
  background-color: #f6fff6;
  border-color: #20bb1d;
}

.customers_calendar .calendar_item.bad .uk-checkbox {
  background-color: #fff4f4;
  border-color: #df6e64;
}

.calendar_task_items .uk-comment-title {
  font-size: 0.9rem;
  line-height: 1;
}

.calendar_task_items .uk-comment-meta {
  display: inline-block;
  font-size: 0.7em;
  line-height: 1;
}

.calendar_task_items .uk-comment-body {
  margin-top: 5px !important;
  font-size: 0.9rem;
  line-height: 1;
}

.customer_dialog_action_panel {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 5px 15px;
  border-bottom: 1px solid #e5e5e5;
}

.customer_dialog_action_panel .dialog_action_button {
  cursor: pointer;
  fill: #666;
  transition: 0.3s;
}

.customer_dialog_action_panel .dialog_action_button:hover {
  fill: #1E87F0;
}
